Cassandra.AsyncProcessor.trace_next_query (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.thrift

## Class Cassandra.AsyncProcessor.trace_next_query<I extends Cassandra.AsyncIface>

- java.lang.Object
- - org.apache.thrift.AsyncProcessFunction<I,Cassandra.trace_next_query_args,java.nio.ByteBuffer>
  - - org.apache.cassandra.thrift.Cassandra.AsyncProcessor.trace_next_query<I>

- Enclosing class:
    Cassandra.AsyncProcessor<I extends Cassandra.AsyncIface>

      public static class Cassandra.AsyncProcessor.trace_next_query<I extends Cassandra.AsyncIface>
      extends org.apache.thrift.AsyncProcessFunction<I,Cassandra.trace_next_query_args,java.nio.ByteBuffer>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `trace_next_query()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cassandra.trace_next_query_args` | `getEmptyArgsInstance()`
    `org.apache.thrift.async.AsyncMethodCallback<java.nio.ByteBuffer>` | `getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
    `protected boolean` | `isOneway()`
    `void` | `start(I iface, Cassandra.trace_next_query_args args, org.apache.thrift.async.AsyncMethodCallback<java.nio.ByteBuffer> resultHandler)`

    - ### Methods inherited from class org.apache.thrift.AsyncProcessFunction

      `getMethodName, sendResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### trace_next_query

          public trace_next_query()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public Cassandra.trace_next_query_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.trace_next_query_args,java.nio.ByteBuffer>`

    - #### getResultHandler

          public org.apache.thrift.async.AsyncMethodCallback<java.nio.ByteBuffer> getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb,
                                                                                                   int seqid)

      Specified by:
        `getResultHandler` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.trace_next_query_args,java.nio.ByteBuffer>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.trace_next_query_args,java.nio.ByteBuffer>`

    - #### start

          public void start(I iface,
                            Cassandra.trace_next_query_args args,
                            org.apache.thrift.async.AsyncMethodCallback<java.nio.ByteBuffer> resultHandler)
                     throws org.apache.thrift.TException

      Specified by:
        `start` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.trace_next_query_args,java.nio.ByteBuffer>`
      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation